Checks if inside a transaction

- « PDO::getAvailableDrivers

- PDO::lastInsertId »

- PHP Manual
- PDO
- Checks if inside a transaction

# PDO::inTransaction

(PHP 5 >= 5.3.3, Bundled pdo_pgsql, PHP 7, PHP 8)

PDO::inTransaction — Checks if inside a transaction

### Description

public PDO::inTransaction(): bool

Checks if a transaction is currently active within the driver. This method only works for database drivers that support transactions.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if a transaction is currently active, and `false` if not.